package com.chenyang.nse.bussiness.entity.orm.table.core.masking;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MASKING_TASK"
)
public class TCoreMaskingTask extends TBaseEntity {
   private String taskname;
   private Date createtime;
   private String userid;
   private String engineid;
   private String fdname;
   private String tasktype;
   private String addtype;
   private String inserttype;
   private String isindex;
   private String isprimary;
   private String istitle;
   private String isremovetable;
   private String istruncate;
   private String isspload;
   private String ispass;

   public String getIspass() {
      return this.ispass;
   }

   public void setIspass(String ispass) {
      this.ispass = ispass;
   }

   public TCoreMaskingTask() {
   }

   public TCoreMaskingTask(String taskname, Date createtime, String userid, String engineid, String fdname, String tasktype, String addtype, String inserttype, String isindex, String isprimary, String istitle, String isremovetable, String istruncate, String isspload) {
      this.taskname = taskname;
      this.createtime = createtime;
      this.userid = userid;
      this.engineid = engineid;
      this.fdname = fdname;
      this.tasktype = tasktype;
      this.addtype = addtype;
      this.inserttype = inserttype;
      this.isindex = isindex;
      this.isprimary = isprimary;
      this.istitle = istitle;
      this.isremovetable = isremovetable;
      this.istruncate = istruncate;
      this.isspload = isspload;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getUserid() {
      return this.userid;
   }

   public void setUserid(String userid) {
      this.userid = userid;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getFdname() {
      return this.fdname;
   }

   public void setFdname(String fdname) {
      this.fdname = fdname;
   }

   public String getTasktype() {
      return this.tasktype;
   }

   public void setTasktype(String tasktype) {
      this.tasktype = tasktype;
   }

   public String getAddtype() {
      return this.addtype;
   }

   public void setAddtype(String addtype) {
      this.addtype = addtype;
   }

   public String getInserttype() {
      return this.inserttype;
   }

   public void setInserttype(String inserttype) {
      this.inserttype = inserttype;
   }

   public String getIsindex() {
      return this.isindex;
   }

   public void setIsindex(String isindex) {
      this.isindex = isindex;
   }

   public String getIsprimary() {
      return this.isprimary;
   }

   public void setIsprimary(String isprimary) {
      this.isprimary = isprimary;
   }

   public String getIstitle() {
      return this.istitle;
   }

   public void setIstitle(String istitle) {
      this.istitle = istitle;
   }

   public String getIsremovetable() {
      return this.isremovetable;
   }

   public void setIsremovetable(String isremovetable) {
      this.isremovetable = isremovetable;
   }

   public String getIstruncate() {
      return this.istruncate;
   }

   public void setIstruncate(String istruncate) {
      this.istruncate = istruncate;
   }

   public String getIsspload() {
      return this.isspload;
   }

   public void setIsspload(String isspload) {
      this.isspload = isspload;
   }

   public String toString() {
      return "TCoreMaskingTask [taskname=" + this.taskname + ", createtime=" + this.createtime + ", userid=" + this.userid + ", engineid=" + this.engineid + ", fdname=" + this.fdname + ", tasktype=" + this.tasktype + ", addtype=" + this.addtype + ", inserttype=" + this.inserttype + ", isindex=" + this.isindex + ", isprimary=" + this.isprimary + ", istitle=" + this.istitle + ", isremovetable=" + this.isremovetable + ", istruncate=" + this.istruncate + ", isspload=" + this.isspload + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.addtype == null ? 0 : this.addtype.hashCode());
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.engineid == null ? 0 : this.engineid.hashCode());
      result = 31 * result + (this.fdname == null ? 0 : this.fdname.hashCode());
      result = 31 * result + (this.inserttype == null ? 0 : this.inserttype.hashCode());
      result = 31 * result + (this.isindex == null ? 0 : this.isindex.hashCode());
      result = 31 * result + (this.isprimary == null ? 0 : this.isprimary.hashCode());
      result = 31 * result + (this.isremovetable == null ? 0 : this.isremovetable.hashCode());
      result = 31 * result + (this.isspload == null ? 0 : this.isspload.hashCode());
      result = 31 * result + (this.istitle == null ? 0 : this.istitle.hashCode());
      result = 31 * result + (this.istruncate == null ? 0 : this.istruncate.hashCode());
      result = 31 * result + (this.taskname == null ? 0 : this.taskname.hashCode());
      result = 31 * result + (this.tasktype == null ? 0 : this.tasktype.hashCode());
      result = 31 * result + (this.userid == null ? 0 : this.userid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreMaskingTask other = (TCoreMaskingTask)obj;
         if (this.addtype == null) {
            if (other.addtype != null) {
               return false;
            }
         } else if (!this.addtype.equals(other.addtype)) {
            return false;
         }

         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.engineid == null) {
            if (other.engineid != null) {
               return false;
            }
         } else if (!this.engineid.equals(other.engineid)) {
            return false;
         }

         if (this.fdname == null) {
            if (other.fdname != null) {
               return false;
            }
         } else if (!this.fdname.equals(other.fdname)) {
            return false;
         }

         if (this.inserttype == null) {
            if (other.inserttype != null) {
               return false;
            }
         } else if (!this.inserttype.equals(other.inserttype)) {
            return false;
         }

         if (this.isindex == null) {
            if (other.isindex != null) {
               return false;
            }
         } else if (!this.isindex.equals(other.isindex)) {
            return false;
         }

         if (this.isprimary == null) {
            if (other.isprimary != null) {
               return false;
            }
         } else if (!this.isprimary.equals(other.isprimary)) {
            return false;
         }

         if (this.isremovetable == null) {
            if (other.isremovetable != null) {
               return false;
            }
         } else if (!this.isremovetable.equals(other.isremovetable)) {
            return false;
         }

         if (this.isspload == null) {
            if (other.isspload != null) {
               return false;
            }
         } else if (!this.isspload.equals(other.isspload)) {
            return false;
         }

         if (this.istitle == null) {
            if (other.istitle != null) {
               return false;
            }
         } else if (!this.istitle.equals(other.istitle)) {
            return false;
         }

         if (this.istruncate == null) {
            if (other.istruncate != null) {
               return false;
            }
         } else if (!this.istruncate.equals(other.istruncate)) {
            return false;
         }

         if (this.taskname == null) {
            if (other.taskname != null) {
               return false;
            }
         } else if (!this.taskname.equals(other.taskname)) {
            return false;
         }

         if (this.tasktype == null) {
            if (other.tasktype != null) {
               return false;
            }
         } else if (!this.tasktype.equals(other.tasktype)) {
            return false;
         }

         if (this.userid == null) {
            if (other.userid != null) {
               return false;
            }
         } else if (!this.userid.equals(other.userid)) {
            return false;
         }

         return true;
      }
   }
}
